Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid
Class DatabaseIndexedGCMetadata

    java.lang.Object
      org.deegree.model.coverage.grid.DatabaseIndexedGCMetadata

    public class DatabaseIndexedGCMetadata

extends Object

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Constructor Summary
`DatabaseIndexedGCMetadata(JDBCConnection jdbc, float scale, String table, String rootDir, boolean dataInDB)`

Method Summary
`boolean` | `areDataStoredInDB()`
`JDBCConnection` | `getJDBCConnection()`
`String` | `getRootDir()`
`float` | `getScale()`
`String` | `getTable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseIndexedGCMetadata

    public DatabaseIndexedGCMetadata(JDBCConnection jdbc,
                                     float scale,
                                     String table,
                                     String rootDir,
                                     boolean dataInDB)

Parameters:
  `jdbc` -
  `scale` -
  `table` -
  `rootDir` -
  `dataInDB` -

Method Detail

### areDataStoredInDB

    public boolean areDataStoredInDB()

  Returns:
    the dataInDB

### getJDBCConnection

    public JDBCConnection getJDBCConnection()

  Returns:
    the jdbc

### getScale

    public float getScale()

  Returns:
    the resolution

### getTable

    public String getTable()

  Returns:
    the table

### getRootDir

    public String getRootDir()

  Returns:
    the rootDir

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org